unit ImprimeCheque;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, ComCtrls, Buttons;

type
  TFormImprimeCheque = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    MaskEdit1: TMaskEdit;
    MaskEdit2: TMaskEdit;
    Edit1: TEdit;
    Edit2: TEdit;
    DateTimePicker1: TDateTimePicker;
    Memo1: TMemo;
    BitBtn1: TBitBtn;
    GroupBox1: TGroupBox;
    RB_Sim: TRadioButton;
    RB_Nao: TRadioButton;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormImprimeCheque: TFormImprimeCheque;

implementation

uses principal;

{$R *.dfm}

procedure TFormImprimeCheque.BitBtn1Click(Sender: TObject);
var valor:string;
begin
        FormPrincipal.Banco:=MaskEdit1.Text;

        valor:=Maskedit2.Text; virgula:=pos(',',valor);
        Delete(valor, virgula, 1);
        FormPrincipal.ValorInicioDia:=valor;

        FormPrincipal.Favorecido:=Edit1.Text;
        FormPrincipal.Cidade:=Edit2.Text;

        FormPrincipal.cData:=FormatDateTime('dd/mm/yy', DateTimePicker1.Date);
        FormPrincipal.TextoPagamento:=Memo1.Text;
        if RB_Sim.Checked then FormPrincipal.Verso:='1'
        else FormPrincipal.Verso:='0'
end;

end.
